package cn.org.bjca.trust.android.lib.im.im.msg;


import cn.org.bjca.trust.android.lib.im.bean.GroupInfo;
import cn.org.bjca.trust.android.lib.im.bean.UserInfo;
import cn.org.bjca.trust.android.lib.im.enums.PacketType;
import cn.org.bjca.trust.android.lib.im.im.bean.PacketMessage;
import cn.org.bjca.trust.android.lib.im.im.msg.message.SZYXMessage;

public class ConversationMessage extends PacketMessage {
    public ConversationMessage() {
        super(PacketType.CONVERSATION);
    }

    private boolean isSender;
    private boolean isGroup;

    private SZYXMessage message;

    private GroupInfo groupEntity;
    private String userId;

    public ConversationMessage(PacketType packetType) {
        super(packetType);
    }

    public boolean isSender() {
        return isSender;
    }

    public void setSender(boolean sender) {
        isSender = sender;
    }

    public boolean isGroup() {
        return isGroup;
    }

    public void setGroup(boolean group) {
        isGroup = group;
    }

    public SZYXMessage getMessage() {
        return message;
    }

    public void setMessage(SZYXMessage message) {
        this.message = message;
    }

    public GroupInfo getGroupEntity() {
        return groupEntity;
    }

    public void setGroupEntity(GroupInfo groupEntity) {
        this.groupEntity = groupEntity;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "ConversationMessage{" +
                "isSender=" + isSender +
                ", isGroup=" + isGroup +
                ", message=" + message +
                ", groupEntity=" + groupEntity +
                ", userId=" + userId +
                '}';
    }
}
