package cn.org.bjca.trust.android.lib.im.im.msg;


import cn.org.bjca.trust.android.lib.im.enums.PacketType;
import cn.org.bjca.trust.android.lib.im.im.bean.PacketMessage;

public class ResultMessage extends PacketMessage {
    public ResultMessage() {
        super(PacketType.RESULT);
    }

    private String path;
    private String body;
    private String ackId;

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public String getAckId() {
        return ackId;
    }

    public void setAckId(String ackId) {
        this.ackId = ackId;
    }

    @Override
    public String toString() {
        return "ResultMessage{" +
                "path='" + path + '\'' +
                ", body='" + body + '\'' +
                ", ackId='" + ackId + '\'' +
                '}';
    }
}
