package cn.org.bjca.trust.android.lib.im.kit;

import androidx.annotation.NonNull;

import cn.org.bjca.trust.android.lib.im.im.msg.message.SZYXMessage;

public interface SdkMsgInterface {

    void addMsgListener(MsgListener listener);

    void removeMsgListener(MsgListener listener);

    SZYXMessage sendMsgForText(@NonNull String toClientId, String text);

    SZYXMessage sendMsgForText(String toClientId, String text, String describe);

    SZYXMessage sendMsgForText(String toClientId, String text, String describe, IMSDKCallback callback);

    SZYXMessage sendMsgForText(String toClientId, String text, IMSDKCallback callback);

    SZYXMessage sendMsgForText(String toClientId, boolean isGroup, String text);

    SZYXMessage sendMsgForText(String toClientId, boolean isGroup, String text, IMSDKCallback callback);

    SZYXMessage sendMsgForText(String toClientId, boolean isGroup, String text, String describe);

    SZYXMessage sendMsgForText(@NonNull String toClientId, boolean isGroup, @NonNull String text, String describe, IMSDKCallback callback);

    void getHistory(String userId, IMMsgCallback callback);

    void getHistory(String userId, long timestamp, IMMsgCallback callback);

    void getHistory(String userId, long timestamp, int size, IMMsgCallback callback);

    void getHistory(String userId, long timestampStart, long timestampEnd, IMMsgCallback callback);

}
